#!/usr/bin/ruby
# $Id: fixup_names.rb 8211 2023-12-28 20:29:22Z flaterco $
# Generate renamings for all stations affected by an alteration to
# DowncasePatterns, LiteralPatterns, and fixname in importNOS_DodgyCode.rb.
# Does not modify the database.
# Replaces:  test_fixnames.rb, apply_fixnames.rb

require 'pg'
require_relative '../import/importNOS_Util'
require_relative '../import/importNOS_DodgyCode'

def usagedie
  STDERR.puts 'Usage: fixup_names.rb [--old]'
  exit
end

case ARGV.length
when 0
  tabname = 'data_sets'
when 1
  usagedie if ARGV[0] != '--old'
  tabname = 'data_sets_old'
else
  usagedie
end

db = PG::Connection.new(:dbname => 'harmbase2')
db.set_client_encoding 'LATIN1'

count = 0
query = db.exec("select distinct name from #{tabname} order by name")
query.each_row {|row|
  name_before = row[0]
  name_after = fixname(name_before)
  if name_before != name_after
    name_before = db.escape_string(name_before)
    name_after = db.escape_string(name_after)
    print "update #{tabname}\n"
    print "    set name = '#{name_after}'\n"
    print "  where name = '#{name_before}';\n"
    count += 1
  end
}
STDERR.print "#{count} names changed.\n"
