#!/usr/bin/ruby
# $Id: geogroups_change_template.rb 8205 2023-12-27 22:25:03Z flaterco $
# Generate renamings templates for all stations named in a [new] geogroup
# file.  This is a subset of what geogroups_children_diff.rb does and is
# therefore mostly redundant.
# List the desired geogroup numbers on the command line.
# Run from root dir of NOS scrape.

# Dependencies copied from importNOS.rb
require "set"
require "json"
require "pg"
require_relative "../import/importNOS_Util"
require_relative "../import/importNOS_JsonReaders"
require_relative "../import/importNOS_Geogroups"
require_relative "../import/importNOS_Queries"
require_relative "../import/importNOS_DodgyCode"  # [TM]

def usage
  puts "Usage: change_geogroup_template.rb ggid [ggid...]"
  puts "(ggid also known as geogroup number)"
  exit
end

usage if ARGV.length < 1
db = PG::Connection.open(:dbname => "harmbase2")
gt = readGeogroupsTidesJson()
ARGV.each {|ggid|
  ggid = ggid.to_i
  print "\n--------------------------------------------------------------\n"
  print "-- Geogroup #{ggid}\n"
  groupjson = File.read("geogroups/#{ggid}/children.json")
  sbgt_array = JSON.parse(groupjson)["stationList"]
  sbgt_array.each{|sta|
    sid = sta["stationId"]
    if sid.nil?
      print "-- Orig: #{sta["geoGroupName"]}\n"
      print "-- Cooked: #{getTideGeogroupsByGgid(gt,ggid)}\n"
      print "--------------------------------------------------------------\n"
    else
      db.exec("select name, lat, lng from data_sets_old" \
              " where station_id = $1", [sid]).each_row {|row|
        name, lat, lng = row
        print "-- #{sid} #{lat} #{lng}\n"
        print "update data_sets_old\n"
        print "  set name = '#{name}'\n  where name = '#{name}';\n"
      }
    end
  }
}
