#!/bin/bash
# $Id: coverage.sh 8227 2024-01-02 00:42:16Z flaterco $
# HFILE_PATH must be set accordingly.
MYDIR="$(dirname "$0")"
"${MYDIR}"/sample.rb n 9455920   # Tide ref: Anchorage, AK (120 constituents)
"${MYDIR}"/sample.rb n 8447435   # Tide ref: Chatham, MA (120 constituents)
"${MYDIR}"/sample.rb y 8413320   # Tide ref: Bar Harbor
"${MYDIR}"/sample.rb y CAB1401_11 # Current ref: Portland Harbor entrance (depth 9 ft)
"${MYDIR}"/sample.rb n SFB1203_15 # Current ref: Golden Gate Bridge, 0.46 nmi E of (depth 69 ft)
"${MYDIR}"/sample.rb n 9440846   # Tide sub, *: Bay Center
"${MYDIR}"/sample.rb n 8447525   # Tide sub, *: Dennisport
"${MYDIR}"/sample.rb y 1613155   # Tide sub, +: Pukoo Harbor
"${MYDIR}"/sample.rb n PCT4131_1 # Current sub, kt: Biorka Channel
"${MYDIR}"/sample.rb y PCT5451_1 # Current sub, FORMERLY kt^2: Bechevin Bay
# There is no + type for current subs.
echo "Tide ref wrong LST (UTC matches, LST/LDT doesn't)"
"${MYDIR}"/sample.rb n 9469237   # Tide ref wrong LST: Point Spencer
"${MYDIR}"/sample.rb y 9469237
# The time warp adjustment for the sub used to be -1 hr.  Now it's just wrong LST plus "extra" tides.
"${MYDIR}"/sample.rb y 8728912   # Port Saint Joe, St. Joseph Bay, Florida
"${MYDIR}"/sample.rb n 8728912
# White City is one of those nasty shaped tides.  XTide and NOS can disagree
# significantly on time but it means nothing.
"${MYDIR}"/sample.rb n 8728853   # Tide ref wrong LST: White City
"${MYDIR}"/sample.rb y 8728853
# Current ref wrong LST:  do not exist (2020).
echo "Tide sub time warp (LST/LDT matches, UTC doesn't)"
"${MYDIR}"/sample.rb y 9462144   # Tide sub time warp: North side, Yunaska Island
"${MYDIR}"/sample.rb n 9462144
echo "Current sub time warp (LST/LDT matches, UTC doesn't)"
"${MYDIR}"/sample.rb y PCT5721_1 # Current sub time warp: Krysi Pass, Rat Islands
"${MYDIR}"/sample.rb n PCT5721_1
echo "Anomalous tide sub time warp / erratum"
"${MYDIR}"/sample.rb y TPT2639   # Ngulu Atoll, Caroline Islands, FSM
"${MYDIR}"/sample.rb n TPT2639
